<?php

namespace App\Helpers;

class NutritionCalculator
{
    public static function calculateNutritionForProducts($products)
    {
        $nutrition = [
            'kcal' => 0,
            'carbohydrates' => 0,
            'protein' => 0,
            'fat' => 0,
        ];

        foreach($products as $product)
        {
            foreach(array_keys($nutrition) as $nutritionValue) {
                $nutrition[$nutritionValue] += $product['weight'] / 100 * $product['product'][$nutritionValue];
            }
        }

        foreach($nutrition as $k => $v){
            $nutrition[$k] = round($v, 2);
        }

        return $nutrition;
    }
}
