<?php

namespace App;

use App\Models\Recipe;
use Illuminate\Database\Eloquent\Model;

class UsersRecipes extends Model
{
    protected $fillable = ['user_id', 'recipe_id'];

    protected $with = ['recipe'];

    public function setUpdatedAtAttribute($value) {}

    public function recipe()
    {
        return $this->belongsTo(Recipe::class);
    }
}
