<?php

namespace Tests\Feature;

use Illuminate\Foundation\Testing\RefreshDatabase;
use Tests\TestCase;

class RecipesTest extends TestCase
{
    use RefreshDatabase;

    public function testGetRecipes()
    {
        $response = $this->get('http://localhost:8000/api/recipe');

        $response->assertStatus(200);
        $response->assertJsonStructure(['success', 'data' => ['recipes']]);
    }
}
